ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Types.ProfAuto

Synopsis

- data ProfAuto
  - = NoProfAuto
  - | ProfAutoAll
  - | ProfAutoTop
  - | ProfAutoExports
  - | ProfAutoCalls

# Documentation

data ProfAuto Source #

What kind of {-# SCC #-} to add automatically

Constructors

NoProfAuto | no SCC annotations added
ProfAutoAll | top-level and nested functions are annotated
ProfAutoTop | top-level functions annotated only
ProfAutoExports | exported functions annotated only
ProfAutoCalls | annotate call-sites

#### Instances

Instances details

Enum ProfAuto Source # |

Instance details

Defined in GHC.Types.ProfAuto

Methods

succ :: ProfAuto -> ProfAuto Source #

pred :: ProfAuto -> ProfAuto Source #

toEnum :: Int -> ProfAuto Source #

fromEnum :: ProfAuto -> Int Source #

enumFrom :: ProfAuto -> [ProfAuto] Source #

enumFromThen :: ProfAuto -> ProfAuto -> [ProfAuto] Source #

enumFromTo :: ProfAuto -> ProfAuto -> [ProfAuto] Source #

enumFromThenTo :: ProfAuto -> ProfAuto -> ProfAuto -> [ProfAuto] Source #

Eq ProfAuto Source # |
Instance details Defined in GHC.Types.ProfAuto Methods (==) :: ProfAuto -> ProfAuto -> Bool Source # (/=) :: ProfAuto -> ProfAuto -> Bool Source #